<?php
if (function_exists('register_sidebar'))
    register_sidebar(array('name'=>'sidebar',
        'before_widget' => '<div class="sidebar_top"><div class="pin"></div>',
        'after_widget' => '</div><div class="sidebar_bottom"><div class="pin"></div></div>',
        'before_title' => '<h2>',
        'after_title' => '</h2></div><div class="sidebar_content">',
    ));
	
function csv_tags() {
    $posttags = get_the_tags();
    foreach((array)$posttags as $tag) {
        $csv_tags .= $tag->name . ',';
    }
    echo '<meta name="keywords" content="'.$csv_tags.'" />';
}

function get_theme_version() { echo "1.0.2"; }


$theme_data = get_theme('Victoriana');
$vic_version = $theme_data['Version'];
$vic_options = get_option('vic_options');

$old_options = $vic_options;

if (!$vic_options['vic_sidebar_pos']) $vic_options['vic_sidebar_pos'] = 'right';
if (!$vic_options['vic_font']) $vic_options['vic_font'] = 'Trebuchet MS';
if (!$vic_options['vic_post_bg']) $vic_options['vic_post_bg'] = 'f7fbef';
if (!$vic_options['vic_sidebar_bg']) $vic_options['vic_sidebar_bg'] = 'efead0';
if (!$vic_options['vic_link_active']) $vic_options['vic_link_active'] = '000000';
if (!$vic_options['vic_link_hover']) $vic_options['vic_link_hover'] = '35473b';

/* Update the options */
if ($old_options != $vic_options)
	update_option('vic_options', $vic_options);


/* Adding the admin menu in; */
add_action('admin_menu', 'vic_add_theme_page');
add_action('admin_head', 'vic_theme_page_head');

remove_action('wp_head', 'wp_generator');


/* Adding the theme page to the admin panel; */
function vic_add_theme_page() { 
  add_theme_page(__('Victoriana Options'), 'Victoriana Options', 'edit_themes', basename(__FILE__), 'vic_theme_page');
}

/* Adding style in for the theme page header; */
function vic_theme_page_head() {
?>
<style type="text/css">
<!--
.wrap { }
.spacer { clear:both; }
table.form-table { width:350px; }
  table.form-table td { padding:0 10px 5px 0; margin:2px 0 0 0; text-align:left; }
  table.menu-table input.menu_title { width:70px; }
  table.menu-table input.menu_url { width:180px; }
    table.form-table td span.output_colour { width:20px; height:20px; display:block; border:1px solid #111; }
  table.form-table p { padding:0; margin:0; font-size:11px; }
  table.form-table p + p { padding-top:10px; }
  table.form-table p.move { margin:0; padding:3px 0 0 0; }
#vic_options_form { width:780px; }
  #vic_options_form fieldset { width:350px; border:1px solid #ccc; background-color:#fff; padding:5px 5px 10px 5px; margin:0 20px 15px 0; float:left; }
  @media screen and (-webkit-min-device-pixel-ratio:0) {
    #vic_options_form fieldset { margin-bottom:25px; }
  } 
    #vic_options_form fieldset legend { padding:3px 10px 2px 10px; margin:0 0 0 25px; background-color:#fff; position:relative; font-size:16px; font-weight:bold; top:-15px; border-top:1px solid #ccc; border-left:1px solid #ccc; border-right:1px solid #ccc; }
	@media screen and (-webkit-min-device-pixel-ratio:0) {
	  #vic_options_form fieldset legend { top:0; }
	}
	  #vic_options_form fieldset legend .clickable { width:12px; height:12px; background-color:#eee; padding:0 2px; }
      #vic_options_form fieldset legend .clickable:hover { cursor:pointer; background-color:#ccc; }
  #vic_options_form input.vic_column { width:35px; }
  #vic_options_form input.input_colour { width:75px; }

#vic_options input[type="radio"] { padding: 0 0 0 10px; }

img#mockup { float:right; clear:right; margin:0 0 10px 15px; }
//-->
</style>

<script src="http://jqueryjs.googlecode.com/files/jquery-1.3.2.min.js" type="text/javascript"></script>
<script type="text/javascript">
// <![CDATA[
$(document).ready(function() {
  $(".clickable").click(function() {
    $(this).parent().parent().find("table").slideToggle(500);
  });
  
  $(".input_colour").blur(function() {
    $(this).parent().parent().find("span.output_colour").css({"background-color":"#"+$(this).val()});
  });
});
// ]]>
</script>
<?php
}


function vic_theme_page() {
    global $vic_options;
	
	if (isset($_GET['dismiss'])) {
		$vic_actions = get_option('vic_actions');
		$vic_actions[$_GET['dismiss']] = 0;
		update_option('vic_actions', $vic_actions);
	}
	
	if (isset($_POST['updated'])) {
		foreach (
			array(
				'vic_sidebar_pos',
				'vic_font',
				'vic_post_bg',
				'vic_sidebar_bg',
				'vic_link_active',
				'vic_link_hover',
			) as $field
		) {
			$vic_options[$field] = $_POST[$field];
		}
		update_option('vic_options', $vic_options);
			
		echo '<div class="updated fade"><p>Options updated.</p></div>';
	}
?>
<div class='wrap'>
		
	<br />
	
	<form method="post" id="vic_options_form" action="<?php echo attribute_escape($_SERVER['REQUEST_URI']); ?>">
		<input type="hidden" name="updated" value="1" /> 
		
	  <h2><?php $oa = get_theme('Victoriana'); ?><?php _e('Customize Victoriana ' . $oa["Version"] . ' Theme'); ?></h2>
      
	  <p>
	    This is version <?php $oa = get_theme('Victoriana'); echo $oa['Version']; ?> of <a href="http://www.theenglishguy.co.uk/victoriana-wordpress-theme/" rel="tag" title="Show your support, please make a donation">Victoriana</a> - a multi-column, configurable, wordpress theme - are you using the latest version? If you enjoy this theme, please consider making a donation, it would be much appreciated and ensure more themes get written. Thank you!
	  </p>
      <br />
		<fieldset>
			<legend>Sidebars <span class="clickable">+</span></legend>            
        <table class="form-table">
			<tr valign="top">
				<td colspan="4">
					<p>
					This option is to choose how many sidebars are shown, <em>one</em> or <em>two</em>. Currently the sidebars always get shown on the right side, another options to change this will come soon.
					</p>
				</td>
			</tr>
			<tr valign="top">
				<td width="120"><label for="vic_sidebar_pos"><?php _e('Sidebar position?'); ?></label></td>
				<td>
					<select name="vic_sidebar_pos" id="vic_sidebar_pos" class="major">
						<option value="left" title="Left" <?php echo ($vic_options['vic_sidebar_pos'] == 'left' ? 'selected="selected"' : ''); ?>>Left&nbsp;</option>
						<option value="right" title="Right" <?php echo ($vic_options['vic_sidebar_pos'] == 'right' ? 'selected="selected"' : ''); ?>>Right&nbsp;</option>
					</select>
				</td>
				<td colspan="2">&nbsp;</td>
			</tr>
        </table>
        </fieldset>
			
            			
		<fieldset>
			<legend>Font <span class="clickable">+</span></legend>            
        <table class="form-table">
			<tr valign="top">
				<td colspan="4">
					<p>
					By choosing a font you are choosing a font for the entire site. This excludes the sidebar and post headers, which is created by a script.
					</p>
				</td>
			</tr>
			<tr valign="top">
				<td width="120"><label for="vic_font"><?php _e('Font?'); ?></label></td>
				<td>
					<select name="vic_font" id="vic_font" class="major">
						<option value="Trebuchet MS" title="Left" <?php echo ($vic_options['vic_font'] == 'Trebuchet MS' ? 'selected="selected"' : ''); ?>>&nbsp;Trebuchet MS&nbsp;</option>
						<option value="Arial" title="Left" <?php echo ($vic_options['vic_font'] == 'Arial' ? 'selected="selected"' : ''); ?>>&nbsp;Arial&nbsp;</option>
						<option value="Verdana" title="Left" <?php echo ($vic_options['vic_font'] == 'Verdana' ? 'selected="selected"' : ''); ?>>&nbsp;Verdana&nbsp;</option>
						<option value="Georgia" title="Left" <?php echo ($vic_options['vic_font'] == 'Georgia' ? 'selected="selected"' : ''); ?>>&nbsp;Georgia&nbsp;</option>
						<option value="Palatino Linotype" title="Left" <?php echo ($vic_options['vic_font'] == 'Palatino Linotype' ? 'selected="selected"' : ''); ?>>&nbsp;Palatino Linotype&nbsp;</option>
						<option value="Helvetica" title="Left" <?php echo ($vic_options['vic_font'] == 'Helvetica' ? 'selected="selected"' : ''); ?>>&nbsp;Helvetica&nbsp;</option>
					</select>
				</td>
				<td colspan="2">&nbsp;</td>
			</tr>
        </table>
        </fieldset>
			
            			
		<fieldset>
			<legend><a name="vic_colours"></a>Colours <span class="clickable">+</span></legend>
		<table class="form-table colours-table">
			<tr valign="top">
				<td colspan="3">
					<p>
					Here you can set all number of colours, backgrounds, link colours and so on. There is no
                    need to put the # symbol in, just the hex numbers (and you can even use the shorthand
                    versions if you want - 335566 becomes 356). These colours do NOT include the menu
                    links/colours or the footer links/colours.
					</p>
				</td>
			</tr>
			<tr valign="top">
				<td width="200"><label for="vic_post_bg"><?php _e('Post background'); ?></label></td>
				<td><input class="input_colour" type="text" name="vic_post_bg" value="<?php echo ($vic_options['vic_post_bg']); ?>" /></td>
                <td width="20"><span class="output_colour" style="background-color:#<?php echo $vic_options['vic_post_bg']; ?>">&nbsp;</span></td>
			</tr>
			<tr valign="top">
				<td width="200"><label for="vic_sidebar_bg"><?php _e('Sidebar background'); ?></label></td>
				<td><input class="input_colour" type="text" name="vic_sidebar_bg" value="<?php echo ($vic_options['vic_sidebar_bg']); ?>" /></td>
                <td width="20"><span class="output_colour" style="background-color:#<?php echo $vic_options['vic_sidebar_bg']; ?>">&nbsp;</span></td>
			</tr>
			<tr valign="top">
				<td width="200"><label for="vic_link_active"><?php _e('Link colour (active/visited)'); ?></label></td>
				<td><input class="input_colour" type="text" name="vic_link_active" value="<?php echo ($vic_options['vic_link_active']); ?>" /></td>
                <td width="20"><span class="output_colour" style="background-color:#<?php echo $vic_options['vic_link_active']; ?>">&nbsp;</span></td>
			</tr>
			<tr valign="top">
				<td width="200"><label for="vic_link_hover"><?php _e('Link colour (hover)'); ?></label></td>
				<td><input class="input_colour" type="text" name="vic_link_hover" value="<?php echo ($vic_options['vic_link_hover']); ?>" /></td>
                <td width="20"><span class="output_colour" style="background-color:#<?php echo $vic_options['vic_link_hover']; ?>">&nbsp;</span></td>
			</tr>
        </table>
        </fieldset>
			
            
		<fieldset>
        	<legend>Update</legend>
		<table class="form-table">
			<tr valign="top">
				<td colspan="4">
					<p style="text-align:center;">
					Click to update the theme.
					</p>
					
					<input type="hidden" name="action" value="update" />
		
					<p class="submit" style="text-align:center;">
						<input type="submit" name="submitform" value="<?php echo attribute_escape(__('Update Theme')); ?>" />
					</p>
				</td>
			</tr>
		</table>
		</fieldset>
	</form>
    <div class="spacer">&nbsp;</div>
</div>
<?php
}
?>